Bug 119360 - laus support for vixie-cron
laus support for vixie-cron
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-03-29 16:06 EST by Chris Runge
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-01 15:40:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2004-03-29 16:06:16 EST
Description of problem:

vixie-cron in RHEL 3 U2 needs to be modified to add support for laus.
Short-term solution from Charlie Bennett:

[ -x /usr/sbin/aurun -a ! -x /usr/sbin/crond.nolaus ] && {
   mv /usr/sbin/crond /usr/sbin/crond.nolaus
   cat > /usr/sbin/crond <<!
[ -x /usr/sbin/crond.nolaus ] && exec /usr/sbin/aurun
/usr/sbin/crond.nolaus "\$@"
   chmod +x /usr/sbin/crond
   service crond stop
   service crond start
Comment 1 Florian La Roche 2004-04-12 12:31:43 EDT
Why is this needed? Can anything else be done to improve the situation?
Comment 3 Charlie Bennett 2004-06-23 15:33:11 EDT
This has been corrected with modifications to vixie-cron.  There is
now low-level auditing of cron jobs featuring the correct uid/gid in
the logs.

Note You need to log in before you can comment on or make changes to this bug.